module.exports = {
  // 此项是用来告诉eslint找当前配置文件不能往父级查找
  root: true,
  parserOptions: {
    ecmaVersion: 12,
    parser: 'babel-eslint',
    sourceType: 'module',
    allowImportExportEverywhere: true,
  },
  globals: {
    uni: 'readonly',
  },
  // 此项指定环境的全局变量，下面的配置指定为浏览器环境
  env: {
    browser: true,
  },
  plugins: [],
  extends: ['vue', 'plugin:vue/recommended', 'plugin:prettier/recommended'],
  // add your custom rules here
  // 主要有如下的设置规则，可以设置字符串也可以设置数字，两者效果一致
  // "off" -> 0 关闭规则
  // "warn" -> 1 开启警告规则
  // "error" -> 2 开启错误规则
  rules: {
    'space-before-function-paren': 0,
    'comma-dangle': [1, 'always-multiline'],
    'vue/singleline-html-element-content-newline': 0,
    'vue/max-attributes-per-line': [
      1,
      {
        singleline: {
          max: 1,
        },
        multiline: {
          max: 1,
        },
      },
    ],
    camelcase: 0,
  },
}
